| Home | Libraries | People | FAQ | More

## Class last_value<void>

boost::last_value<void> — Evaluate an InputIterator sequence.

## Synopsis

    // In header: <boost/last_value.hpp>

    class last_value<void> {
    public:
      // types
      typedef unspecified result_type;

      // invocation
      template<typename InputIterator>
        result_type operator()(InputIterator, InputIterator) const;
    };

## Description

### `last_value` invocation

1.     template<typename InputIterator>
         result_type operator()(InputIterator first, InputIterator last) const;

   Effects: | Dereferences every iterator in the sequence `[first, last)`.